scala.tools.nsc.backend.icode.Printers

# TextPrinter

#### class TextPrinter extends AnyRef

Source
  Printers.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TextPrinter
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TextPrinter(writer: PrintWriter, lin: ICodes.Linearizer)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ICodes.TextPrinter to any2stringadd[ICodes.TextPrinter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ICodes.TextPrinter, B)

   Implicit information
     This member is added by an implicit conversion from ICodes.TextPrinter to ArrowAssoc[ICodes.TextPrinter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final val TAB: Int(2)

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def ensuring(cond: (ICodes.TextPrinter) ⇒ Boolean, msg: ⇒ Any): ICodes.TextPrinter

   Implicit information
     This member is added by an implicit conversion from ICodes.TextPrinter to Ensuring[ICodes.TextPrinter] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (ICodes.TextPrinter) ⇒ Boolean): ICodes.TextPrinter

    Implicit information
      This member is added by an implicit conversion from ICodes.TextPrinter to Ensuring[ICodes.TextPrinter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): ICodes.TextPrinter

    Implicit information
      This member is added by an implicit conversion from ICodes.TextPrinter to Ensuring[ICodes.TextPrinter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): ICodes.TextPrinter

    Implicit information
      This member is added by an implicit conversion from ICodes.TextPrinter to Ensuring[ICodes.TextPrinter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ICodes.TextPrinter to StringFormat[ICodes.TextPrinter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### def indent(): Unit

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def print(o: Any): Unit

25. #### def print(s: String): Unit

26. #### def printBlock(bb: ICodes.BasicBlock): Unit

27. #### def printClass(cls: ICodes.IClass): Unit

28. #### def printExceptionHandler(e: ICodes.ExceptionHandler): Unit

29. #### def printField(f: ICodes.IField): Unit

30. #### def printInstruction(i: ICodes.Instruction): Unit

31. #### def printList[A](pr: (A) ⇒ Unit)(l: List[A], sep: String): Unit

32. #### def printList[A](l: List[A], sep: String): Unit

33. #### def printMethod(m: ICodes.IMethod): Unit

34. #### def printParam(p: ICodes.Local): Unit

35. #### def println(): Unit

36. #### def println(s: String): Unit

37. #### def setWriter(w: PrintWriter): Unit

38. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

39. #### def toString(): String

    Definition Classes
      AnyRef → Any

40. #### def undent(): Unit

41. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### def →[B](y: B): (ICodes.TextPrinter, B)

    Implicit information
      This member is added by an implicit conversion from ICodes.TextPrinter to ArrowAssoc[ICodes.TextPrinter] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ICodes.TextPrinter to any2stringadd[ICodes.TextPrinter]

### Inherited by implicit conversion StringFormat from ICodes.TextPrinter to StringFormat[ICodes.TextPrinter]

### Inherited by implicit conversion Ensuring from ICodes.TextPrinter to Ensuring[ICodes.TextPrinter]

### Inherited by implicit conversion ArrowAssoc from ICodes.TextPrinter to ArrowAssoc[ICodes.TextPrinter]

### Ungrouped